# Component: FailoverPolicy
# Author: Abdul Nizam
#
# Use a failover policy to reroute traffic to a different service in case of failure.
# Failover is an important part of building resilient apps. You set up locality-aware failover by specifying regions, zones, and subzones to reroute traffic.
# In the event of a failure in the closest locality, responses can be served from the next closest locality.
#
# You can use failover policies in combination with other policies, such as outlier detection or retry policies.
# In case of a failure, the failover policy tells Gloo Mesh which healthy destinations to reroute traffic to, based on the closest locality.
# The outlier detection policy tells Gloo Mesh when and for how long to remove unhealthy services.
# The retry policy tells Gloo Mesh how many times to retry requests before the outlier detection policy considers the request as failing and removes the service from the pool of healthy destinations.
#
# More information: https://docs.solo.io/gloo-mesh-enterprise/latest/policies/failover/

apiVersion: resilience.policy.gloo.solo.io/v2
kind: FailoverPolicy
metadata:
  annotations:
    cluster.solo.io/cluster: ""
  name: locality-based-failover
  namespace: freniz
spec:
  applyToDestinations:
  - kind: VIRTUAL_DESTINATION
    selector: {}
  config:
    localityMappings:
    - from:
        region: us-east
      to:
      - region: us-west